Skip to main content

Create split transactions by account

This endpoint creates two or more child transactions that are branched from a previous transaction. This endpoint allows you to link multiple categories, descriptions, and amounts to a parent transaction. When a split transaction is created, the parent transaction's has_been_split field will automatically be updated to true and the child transactions' parent_guid will have the transaction guid of the parent. The total amount of the child transactions must equal the amount of the parent transaction. Once a transaction has been split it can't be split again. In order to re-split a transaction, it must first be un-split. This can be done by calling the Delete Split Transactions endpoint. Calling this endpoint will delete the existing child transactions and update the parent transaction's has_been_split field to false. You can then re-split the parent transaction by calling Create Split Transaction again.

POST
/users/{user_identifier}/members/{member_identifier}/accounts/{account_identifier}/transactions/{transaction_identifier}/split

Path Parameters

FieldRequiredType

transaction_guid

The unique id for a transaction.

Required
String

user_identifier

Use either the user id you defined or the MX-defined user guid. See MX-Defined GUIDs vs IDs Defined by You​.

Required
String

member_identifier

Use either the member id you defined or the MX-defined member guid. See MX-Defined GUIDs vs IDs Defined by You.

Required
String

account_identifier

Use either the account id you defined or the MX-defined account guid. See MX-Defined GUIDs vs IDs Defined by You.

Required
String

transaction_identifier

Use either the transaction id you defined or the MX-defined transaction guid. See MX-Defined GUIDs vs IDs Defined by You​.

Required
String

Header Parameters

FieldRequiredType

Accept-Version

MX Platform API version.

Required
String

Request Body

FieldRequiredType

transactions

Required
SplitTransactionRequest
Loading...